mav_SMSIntersectLineAll(3)

NAME
mav_SMSIntersectLineAll - Intersect all SMSs with a line.

LEVEL
Maverik Level 2

SYNTAX
int mav_SMSIntersectLineAll(MAV_window *w, MAV_line ln, MAV_objectIntersection *oi, MAV_object **o);

ARGUMENTS
Window. Line for intersection test. Intersection point (if any) Intersection object (if any)

DESCRIPTION
The function intersects all objects in all SMSs with line ln. If an intersection is detected, the function returns MAV_TRUE, otherwise MAV_FALSE. The closest intersection point is returned in oi, and a pointer to the intersecting object in o.